#include "Booleans_dict.h"

AFun SDFafun17;
AFun SDFafun22;
AFun SDFafun3;
AFun SDFafun9;
AFun SDFafun19;
AFun SDFafun26;
AFun SDFafun2;
AFun SDFafun12;
AFun SDFafun15;
AFun SDFafun25;
AFun SDFafun18;
AFun SDFafun20;
AFun SDFafun8;
AFun SDFafun28;
AFun SDFafun21;
AFun SDFafun0;
AFun SDFafun11;
AFun SDFafun5;
AFun SDFafun27;
AFun SDFafun16;
AFun SDFafun10;
AFun SDFafun13;
AFun SDFafun4;
AFun SDFafun14;
AFun SDFafun23;
AFun SDFafun7;
AFun SDFafun24;
AFun SDFafun1;
AFun SDFafun6;

ATerm SDFpatternOptLayoutPresent = NULL;
ATerm SDFpatternOptLayoutAbsent = NULL;
ATerm SDFpatternStartBool = NULL;
ATerm SDFpatternStartBoolList = NULL;
ATerm SDFpatternBoolElemsMany = NULL;
ATerm SDFpatternBoolElemsSingle = NULL;
ATerm SDFpatternBoolElemsEmpty = NULL;
ATerm SDFpatternBoolListElems = NULL;
ATerm SDFpatternBoolOr = NULL;
ATerm SDFpatternBoolAnd = NULL;
ATerm SDFpatternBoolFalse = NULL;
ATerm SDFpatternBoolTrue = NULL;

/*
 * SDFafun17 = "|"
 * SDFafun22 = "["
 * SDFafun3 = "true"
 * SDFafun9 = cons(x)
 * SDFafun19 = "]"
 * SDFafun26 = parsetree(x,x)
 * SDFafun2 = lit(x)
 * SDFafun12 = layout
 * SDFafun15 = left
 * SDFafun25 = list(x)
 * SDFafun18 = "or"
 * SDFafun20 = iter-star-sep(x,x)
 * SDFafun8 = term(x)
 * SDFafun28 = no-attrs
 * SDFafun21 = ";"
 * SDFafun0 = appl(x,x)
 * SDFafun11 = opt(x)
 * SDFafun5 = sort(x)
 * SDFafun27 = "<START>"
 * SDFafun16 = "and"
 * SDFafun10 = "false"
 * SDFafun13 = "&"
 * SDFafun4 = cf(x)
 * SDFafun14 = assoc(x)
 * SDFafun23 = "BoolList"
 * SDFafun7 = attrs(x)
 * SDFafun24 = "elems"
 * SDFafun1 = prod(x,x,x)
 * SDFafun6 = "Bool"
 *
 * SDFpatternOptLayoutPresent = appl(prod([cf(layout)],cf(opt(layout)),no-attrs),[<list>])
 * SDFpatternOptLayoutAbsent = appl(prod([],cf(opt(layout)),no-attrs),[])
 * SDFpatternStartBool = parsetree(appl(prod([cf(opt(layout)),cf(sort("Bool")),cf(opt(layout))],sort("<START>"),no-attrs),[<term>,<term>,<term>]),<int>)
 * SDFpatternStartBoolList = parsetree(appl(prod([cf(opt(layout)),cf(sort("BoolList")),cf(opt(layout))],sort("<START>"),no-attrs),[<term>,<term>,<term>]),<int>)
 * SDFpatternBoolElemsMany = [<term>,<term>,lit(";"),<term>,<list>]
 * SDFpatternBoolElemsSingle = [<term>]
 * SDFpatternBoolElemsEmpty = []
 * SDFpatternBoolListElems = appl(prod([lit("["),cf(opt(layout)),cf(iter-star-sep(sort("Bool"),lit(";"))),cf(opt(layout)),lit("]")],cf(sort("BoolList")),attrs([term(cons("elems"))])),[lit("["),<term>,appl(list(cf(iter-star-sep(sort("Bool"),lit(";")))),<term>),<term>,lit("]")])
 * SDFpatternBoolOr = appl(prod([cf(sort("Bool")),cf(opt(layout)),lit("|"),cf(opt(layout)),cf(sort("Bool"))],cf(sort("Bool")),attrs([term(cons("or")),assoc(left)])),[<term>,<term>,lit("|"),<term>,<term>])
 * SDFpatternBoolAnd = appl(prod([cf(sort("Bool")),cf(opt(layout)),lit("&"),cf(opt(layout)),cf(sort("Bool"))],cf(sort("Bool")),attrs([term(cons("and")),assoc(left)])),[<term>,<term>,lit("&"),<term>,<term>])
 * SDFpatternBoolFalse = appl(prod([lit("false")],cf(sort("Bool")),attrs([term(cons("false"))])),[lit("false")])
 * SDFpatternBoolTrue = appl(prod([lit("true")],cf(sort("Bool")),attrs([term(cons("true"))])),[lit("true")])
 *
 */

static ATerm _Booleans_dict = NULL;

#define _Booleans_dict_LEN 663

static char _Booleans_dict_baf[_Booleans_dict_LEN] = {
0x00,0x8B,0xAF,0x83,0x00,0x24,0x80,0xB4,0x03,0x3C,0x5F,0x3E,0x01,0x00,0x03,0x03,
0x03,0x05,0x04,0x05,0x5B,0x5F,0x2C,0x5F,0x5D,0x02,0x00,0x58,0x20,0x01,0x02,0x00,
0x06,0x07,0x08,0x0A,0x0B,0x0C,0x0D,0x0E,0x0F,0x10,0x11,0x12,0x13,0x14,0x15,0x16,
0x17,0x18,0x19,0x1A,0x1B,0x1C,0x1D,0x1E,0x1F,0x20,0x21,0x22,0x23,0x02,0x01,0x02,
0x02,0x5B,0x5D,0x00,0x00,0x01,0x03,0x69,0x6E,0x74,0x00,0x00,0x01,0x04,0x6C,0x69,
0x73,0x74,0x00,0x00,0x01,0x04,0x74,0x65,0x72,0x6D,0x00,0x00,0x01,0x01,0x7C,0x00,
0x01,0x01,0x01,0x5B,0x00,0x01,0x01,0x04,0x74,0x72,0x75,0x65,0x00,0x01,0x01,0x01,
0x78,0x00,0x00,0x01,0x04,0x63,0x6F,0x6E,0x73,0x01,0x00,0x06,0x06,0x08,0x1B,0x1A,
0x11,0x21,0x09,0x01,0x5D,0x00,0x01,0x01,0x09,0x70,0x61,0x72,0x73,0x65,0x74,0x72,
0x65,0x65,0x02,0x00,0x03,0x02,0x16,0x09,0x02,0x00,0x09,0x03,0x6C,0x69,0x74,0x01,
0x00,0x08,0x08,0x08,0x1B,0x1C,0x06,0x0B,0x07,0x15,0x09,0x06,0x6C,0x61,0x79,0x6F,
0x75,0x74,0x00,0x00,0x01,0x04,0x6C,0x65,0x66,0x74,0x00,0x00,0x01,0x04,0x6C,0x69,
0x73,0x74,0x01,0x00,0x02,0x02,0x1D,0x09,0x02,0x6F,0x72,0x00,0x01,0x01,0x0D,0x69,
0x74,0x65,0x72,0x2D,0x73,0x74,0x61,0x72,0x2D,0x73,0x65,0x70,0x02,0x00,0x02,0x02,
0x18,0x09,0x02,0x0D,0x09,0x04,0x74,0x65,0x72,0x6D,0x01,0x00,0x06,0x02,0x0A,0x09,
0x08,0x6E,0x6F,0x2D,0x61,0x74,0x74,0x72,0x73,0x00,0x00,0x01,0x01,0x3B,0x00,0x01,
0x01,0x04,0x61,0x70,0x70,0x6C,0x02,0x00,0x0B,0x03,0x10,0x22,0x09,0x04,0x00,0x02,
0x01,0x09,0x03,0x6F,0x70,0x74,0x01,0x00,0x02,0x02,0x0E,0x09,0x04,0x73,0x6F,0x72,
0x74,0x01,0x00,0x04,0x04,0x1F,0x19,0x23,0x09,0x07,0x3C,0x53,0x54,0x41,0x52,0x54,
0x3E,0x00,0x01,0x01,0x03,0x61,0x6E,0x64,0x00,0x01,0x01,0x05,0x66,0x61,0x6C,0x73,
0x65,0x00,0x01,0x01,0x01,0x26,0x00,0x01,0x01,0x02,0x63,0x66,0x01,0x00,0x06,0x05,
0x12,0x18,0x17,0x0E,0x09,0x05,0x61,0x73,0x73,0x6F,0x63,0x01,0x00,0x02,0x02,0x0F,
0x09,0x08,0x42,0x6F,0x6F,0x6C,0x4C,0x69,0x73,0x74,0x00,0x01,0x01,0x05,0x61,0x74,
0x74,0x72,0x73,0x01,0x00,0x06,0x02,0x01,0x09,0x05,0x65,0x6C,0x65,0x6D,0x73,0x00,
0x01,0x01,0x04,0x70,0x72,0x6F,0x64,0x03,0x00,0x0A,0x03,0x02,0x01,0x09,0x03,0x18,
0x1D,0x09,0x03,0x20,0x14,0x09,0x04,0x42,0x6F,0x6F,0x6C,0x00,0x01,0x01,0x01,0x00,
0xE6,0x06,0xC2,0x05,0x94,0x13,0x18,0x14,0x19,0xC1,0xD0,0x42,0x86,0x92,0x07,0x15,
0x14,0x0A,0x68,0x64,0x30,0x84,0x96,0x11,0x1C,0x28,0x09,0xE0,0x8F,0x01,0x0E,0x22,
0x2C,0x24,0x0E,0x0C,0x64,0x46,0x82,0x86,0x14,0x54,0x48,0x68,0x11,0xD1,0xC0,0x61,
0x84,0xC0,0x94,0x16,0x20,0x86,0xC6,0x03,0x84,0x20,0xB8,0x80,0xF0,0x2A,0x00,0xFA,
0x1A,0x81,0x55,0x28,0xA2,0xB9,0x34,0xD4,0x94,0x49,0xE2,0x03,0x05,0x52,0x49,0x09,
0x50,0xCA,0x24,0x65,0x94,0x29,0x90,0x0A,0x6D,0x22,0x3E,0x4C,0xA1,0x49,0x12,0x42,
0x8C,0x48,0x42,0x24,0x28,0x41,0x28,0x88,0x51,0x4C,0xA6,0x45,0x29,0x8C,0xC0,0xF8,
0x29,0x12,0x12,0x28,0x0A,0x90,0x89,0x48,0x40,0xA9,0x21,0x8E,0x48,0x43,0xC0,0x28,
0x08,0x8F,0x30,0x0E,0x52,0x6A,0xAF,0x52,0x25,0x0E,0xA6,0x45,0xA9,0xA8,0x88,0x40,
0x6A,0x64,0x6A,0x93,0x0A,0x89,0x00,0xDE,0x42,0x19,0x16,0x91,0x0C,0xC8,0x42,0x64,
0xA8,0x8A,0x22,0x32,0x11,0xA8,0xB2,0x97,0x4D,0x4E,0x9B,0x03,0xA6,0x47,0x69,0x0B,
0x06,0xD3,0x22,0xB4,0xDA,0xB0,0x8D,0xDE,0x21,0x61,0x72,0xD1,0x27,0xC8,0x45,0xE4,
0x20,0xF4,0x84,0x62,0x0C,0xA4,0x37,0x50,0x66,0xC0,0x19,0x91,0xFA,0x4A,0x41,0xB5,
0x8C,0x21,0xF3,0x19,0x0B,0x95,0x14,0x20,0x8A,0x11,0x86,0x4A,0x31,0x1A,0x52,0x98,
0x66,0x32,0x34,0x56,0x09,0xC7,0xC2,0x19,0x26,0x22,0x94,0x96,0x98,0x4C,0x9C,0x15,
0x8A,0x49,0xF2,0x94,0x48,0x4D,0x00
};

void init_Booleans_dict()
{
  ATermList afuns, terms;

  _Booleans_dict = ATreadFromBinaryString(_Booleans_dict_baf, _Booleans_dict_LEN);

  ATprotect(&_Booleans_dict);

  afuns = (ATermList)ATelementAt((ATermList)_Booleans_dict, 0);

  SDFafun17 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun22 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun3 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun9 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun19 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun26 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun2 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun12 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun15 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun25 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun18 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun20 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun8 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun28 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun21 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun0 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun11 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun5 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun27 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun16 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun10 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun13 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun4 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun14 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun23 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun7 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun24 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun1 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);
  SDFafun6 = ATgetAFun((ATermAppl)ATgetFirst(afuns));
  afuns = ATgetNext(afuns);

  terms = (ATermList)ATelementAt((ATermList)_Booleans_dict, 1);

  SDFpatternOptLayoutPresent = ATgetFirst(terms);
  terms = ATgetNext(terms);
  SDFpatternOptLayoutAbsent = ATgetFirst(terms);
  terms = ATgetNext(terms);
  SDFpatternStartBool = ATgetFirst(terms);
  terms = ATgetNext(terms);
  SDFpatternStartBoolList = ATgetFirst(terms);
  terms = ATgetNext(terms);
  SDFpatternBoolElemsMany = ATgetFirst(terms);
  terms = ATgetNext(terms);
  SDFpatternBoolElemsSingle = ATgetFirst(terms);
  terms = ATgetNext(terms);
  SDFpatternBoolElemsEmpty = ATgetFirst(terms);
  terms = ATgetNext(terms);
  SDFpatternBoolListElems = ATgetFirst(terms);
  terms = ATgetNext(terms);
  SDFpatternBoolOr = ATgetFirst(terms);
  terms = ATgetNext(terms);
  SDFpatternBoolAnd = ATgetFirst(terms);
  terms = ATgetNext(terms);
  SDFpatternBoolFalse = ATgetFirst(terms);
  terms = ATgetNext(terms);
  SDFpatternBoolTrue = ATgetFirst(terms);
  terms = ATgetNext(terms);
}
